Bug 1549836 (CVE-2014-10072) - CVE-2014-10072 zsh: buffer overflow when scanning very long directory paths for symbolic links
Summary: CVE-2014-10072 zsh: buffer overflow when scanning very long directory paths f...
Status: CLOSED ERRATA
Alias: CVE-2014-10072
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20140120,reported=2...
Keywords: Security
Depends On: 1549837 1549838 1564300 1564301
Blocks: 1549839
TreeView+ depends on / blocked
 
Reported: 2018-02-27 20:58 UTC by Laura Pardo
Modified: 2019-06-08 22:43 UTC (History)
7 users (show)

(edit)
A buffer overflow flaw was found in the zsh shell symbolic link resolver. A local, unprivileged user can create a specially crafted directory path which leads to a buffer overflow in the context of the user trying to do symbolic link resolution in the aforementioned path. An attacker could exploit this vulnerability to cause a denial of service condition on the target.
Clone Of:
(edit)
Last Closed: 2018-11-30 00:36:51 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1932 None None None 2018-06-19 04:56 UTC
Red Hat Product Errata RHSA-2018:3073 None None None 2018-10-30 07:29 UTC

Description Laura Pardo 2018-02-27 20:58:07 UTC
A flaw was found in zsh. There is a buffer overflow when scanning very long directory paths for symbolic links.


References:
https://sourceforge.net/p/zsh/code/ci/3e06aeabd8a9e8384ebaa8b08996cd1f64737210

Comment 1 Laura Pardo 2018-02-27 20:58:54 UTC
Created zsh tracking bugs for this issue:

Affects: fedora-all [bug 1549838]

Comment 3 Jason Tibbitts 2018-02-27 21:20:14 UTC
This appears to be another instance of a bug which was fixed in zsh long ago.  All existing Fedora releases have zsh versions newer than that, and I've verified manually that they have the fixed code.

I'm afraid I don't understand what's happening here.  Are these tickets an assertion that something in Fedora's zsh is still vulnerable?  Or are the package maintainers just supposed to check?

Comment 5 Richard Maciel Costa 2018-04-05 23:27:06 UTC
In reply to comment 3:
> This appears to be another instance of a bug which was fixed in zsh long
> ago.  All existing Fedora releases have zsh versions newer than that, and
> I've verified manually that they have the fixed code.
> 
> I'm afraid I don't understand what's happening here.  Are these tickets an
> assertion that something in Fedora's zsh is still vulnerable?  Or are the
> package maintainers just supposed to check?

This is to properly track security vulnerabilities which were fixed as if they were normal bugs. May not affect the latest version of zsh (or the Fedora one), but may affect other distros which use older versions.

Comment 10 errata-xmlrpc 2018-06-19 04:56:14 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2018:1932 https://access.redhat.com/errata/RHSA-2018:1932

Comment 11 errata-xmlrpc 2018-10-30 07:29:51 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3073 https://access.redhat.com/errata/RHSA-2018:3073


Note You need to log in before you can comment on or make changes to this bug.